package crm

import (
	"hongze/fms_api/global"
	"time"
)

type ContractServiceDetail struct {
	Id                int       `description:"id"`
	ContractServiceId int       `description:"合同服务id"`
	ContractId        int       `description:"合同id"`
	ServiceTemplateId int       `description:"服务模板id"`
	Col1              string    `gorm:"column:col_1" description:"第1列数据"`
	Col2              string    `gorm:"column:col_2" description:"第2列数据"`
	Col3              string    `gorm:"column:col_3" description:"第3列数据"`
	Col4              string    `gorm:"column:col_4" description:"第4列数据"`
	Col5              string    `gorm:"column:col_5" description:"第5列数据"`
	Col6              string    `gorm:"column:col_6" description:"第6列数据"`
	Col7              string    `gorm:"column:col_7" description:"第7列数据"`
	CreateTime        time.Time `description:"数据添加时间"`
}

// GetContractServiceDetailListByServiceId 根据合同服务id获取对应的套餐表格数据详情
func GetContractServiceDetailListByServiceId(contractServiceId int) (list []*ContractServiceDetail, err error) {
	list = make([]*ContractServiceDetail, 0)
	err = global.MYSQL["report"].Table("contract_service_detail").
		Where("contract_service_id = ?", contractServiceId).
		Order("id ASC").
		Find(&list).Error
	return
}
