package fms

const (
	// 合同类型
	ContractTypeNew      = 1 // 新签
	ContractTypeRenew    = 2 // 续约
	ContractTypeAgentPay = 3 // 代付
	ContractTypePlus     = 4 // 补充协议

	// 合同状态
	ContractStatusApproved    = 1 // 已审批
	ContractStatusSendOut     = 2 // 单章寄出
	ContractStatusCheckedBack = 3 // 已签回
	ContractStatusEnd         = 4 // 已终止
	ContractStatusEmailBackUp = 5 // 邮件备案

	// 合同登记状态
	ContractRegisterStatusIng      = 1 // 进行中
	ContractRegisterStatusComplete = 2 // 已完成

	// 合同登记操作类型
	ContractRegisterOpTypeSave       = 1 // 合规登记
	ContractRegisterOpTypeInvoice    = 2 // 开票登记
	ContractRegisterOpTypePayment    = 3 // 到款登记
	ContractRegisterOpTypeStatus     = 4 // 修改合同状态
	ContractRegisterOpTypeDel        = 5 // 删除合同登记
	ContractRegisterOpTypeEdit       = 6 // 合规编辑
	ContractRegisterOpTypePrePay     = 7 // 到款预登记
	ContractRegisterOpTypePreInvoice = 8 // 开票预登记


	// 合同登记开票类型
	ContractInvoiceTypeMake    = 1 // 开票登记
	ContractInvoiceTypePay     = 2 // 到款登记
	ContractInvoiceTypePreMake = 3 // 开票预登记
	ContractInvoiceTypePrePay  = 4 // 到款预登记

	// 到款登记付款方式
	ContractPaymentPayTypeYear     = 1 // 年付
	ContractPaymentPayTypeHalfYear = 2 // 半年付
	ContractPaymentPayTypeQuarter  = 3 // 季付
	ContractPaymentPayTypeOther    = 4 // 次付
	ContractPaymentPayTypeAbnormal = 5 // 异常

	// 2.5 新合同类型
	ContractTypeSelf   = 0 // 自付
	ContractTypebehalf = 1 // 代付

	// 2.5 子合同类型
	NewContractTypeNew      = 1 // 新签
	NewContractTypeRenew    = 2 // 续约
	NewContractTypePlus     = 4 // 补充协议

	// 基础货币代码(人民币)
	BaseCurrencyCode = "CNY"
)

var ContractStatusKeyNameMap = map[int]string{
	ContractStatusApproved:    "已审批",
	ContractStatusSendOut:     "单章寄出",
	ContractStatusCheckedBack: "已签回",
	ContractStatusEnd:         "已终止",
	ContractStatusEmailBackUp: "邮件备案",
}

var ContractStatusNameKeyMap = map[string]int{
	"已审批":  ContractStatusApproved,
	"单章寄出": ContractStatusSendOut,
	"已签回":  ContractStatusCheckedBack,
	"已终止":  ContractStatusEnd,
	"邮件备案": ContractStatusEmailBackUp,
}

var ContractInvoiceKeyNameMap = map[int]string{
	ContractRegisterOpTypeInvoice: "开票",
	ContractRegisterOpTypePayment: "到款",
}

var ContractPaymentPayTypeNameMap = map[int]string{
	ContractPaymentPayTypeYear:     "年付",
	ContractPaymentPayTypeHalfYear: "半年付",
	ContractPaymentPayTypeQuarter:  "季付",
	ContractPaymentPayTypeOther:    "次付",
	ContractPaymentPayTypeAbnormal: "异常",
}
