package routers

import (
	"github.com/gin-gonic/gin"
	"hongze/fms_api/controller/census"
	"hongze/fms_api/middleware"
)

func InitCensus(rg *gin.RouterGroup) {
	// 商品到款统计
	inv := new(census.InvoicePaymentController)
	invGroup := rg.Group("invoice_payment/").Use(middleware.Token())
	invGroup.GET("list", inv.List)
	invGroup.GET("not_invoice/list", inv.NotInvoiceList)
	invGroup.GET("not_payment/list", inv.NotPaymentList)
	invGroup.GET("income/chart_list", inv.IncomeChartList)
	invGroup.GET("income/list", inv.IncomeList)


	// 销售
	sel := new(census.SellerController)
	selGroup := rg.Group("seller/").Use(middleware.Token())
	selGroup.GET("group_invoice_list", sel.GroupInvoiceListV2)
	selGroup.GET("invoice_list", sel.InvoiceListV2)
}
